/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_BEMATIVO                                                 */
/* Tabela : BEMATIVO                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 26/03/2009 - Luciana Correa de Figueiredo                                  */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE
TRIGGER DTULTATU_BEMATIVO
BEFORE INSERT OR UPDATE OR DELETE
ON BEMATIVO FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF(NVL(:OLD.CDEMPRESA ,     0) <> NVL(:NEW.CDEMPRESA,      0)) OR
        (NVL(:OLD.CDBEMATIVO,     0) <> NVL(:NEW.CDBEMATIVO,     0)) OR
        (NVL(:OLD.NMBEMATIVO,     0) <> NVL(:NEW.NMBEMATIVO,     0)) OR
        (NVL(:OLD.NMABREVBEMATIVO,0) <> NVL(:NEW.NMABREVBEMATIVO,0)) OR
        (NVL(:OLD.CDPATRIBEMATIVO,0) <> NVL(:NEW.CDPATRIBEMATIVO,0)) OR
        (NVL(:OLD.CDGRUPOBEM,     0) <> NVL(:NEW.CDGRUPOBEM,     0)) OR
        (NVL(:OLD.CDCLASSIFICABEM,0) <> NVL(:NEW.CDCLASSIFICABEM,0)) OR
        (NVL(:OLD.CDSETOR,        0) <> NVL(:NEW.CDSETOR        ,0)) OR
        (NVL(:OLD.CDOPERADOR,     0) <> NVL(:NEW.CDOPERADOR     ,0)) OR
        (NVL(:OLD.CDFABRIC,       0) <> NVL(:NEW.CDFABRIC       ,0)) OR
        (NVL(:OLD.CDMODELO,       0) <> NVL(:NEW.CDMODELO       ,0)) OR
        (NVL(:OLD.CDTIPODEPREC,   0) <> NVL(:NEW.CDTIPODEPREC   ,0)) OR
        (NVL(:OLD.CDESTCONSERVA,  0) <> NVL(:NEW.CDESTCONSERVA  ,0)) OR
        (NVL(:OLD.CDREGIMEBEM,    0) <> NVL(:NEW.CDREGIMEBEM    ,0)) OR
        (NVL(:OLD.CDBARRABEMATIVO,0) <> NVL(:NEW.CDBARRABEMATIVO,0)) THEN
        :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE,CDFILICACHE,DSKEYCACHE,DTULTATUCACH)
      VALUES ('BEMATIVO','','CDEMPRESA='||:OLD.CDEMPRESA||';CDBEMATIVO='||:OLD.CDBEMATIVO||';', SYSDATE);
   END IF;
END;
/
ALTER TABLE BEMATIVO MODIFY DTULTATU DEFAULT SYSDATE
/
UPDATE BEMATIVO SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/
-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_BEMATIVO','5.05.119'); END;
/

